! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
program testval

  use errorHandling
  use dal

  
  implicit none 

  character(len=50) :: strAtt
  logical :: hascol


  type(DataSetT) :: specDataSet
  type(TableT) :: specTable

! Access output Spectral File

  specDataSet=dataSet("spec1.pi",Read)
  specTable=table(specDataSet,"SPECTRUM")


! Output File has correct CONTENT keyword

  strAtt=stringAttribute(specDataSet,'CONTENT')
  if(trim(strAtt) /= "EPIC FLUCTUATIONS SPECTRUM") then
       call fatal('notFluctFile','Output file does not contain &
       &Fluctuations Product')
    endif


! Output File contains correct dimensions:


  hascol=hasColumn(specTable,"CHANNEL")
  if(.NOT.hascol)call fatal('IncompOutput','CHANNEL column not found')

  hascol=hasColumn(specTable,"COUNTS")
  if(.NOT.hascol)call fatal('IncompOutput','COUNTS column not found')

  hascol=hasColumn(specTable,"STAT_ERR")
  if(.NOT.hascol)call fatal('IncompOutput','STAT_ERR column not found')

  hascol=hasColumn(specTable,"QUALITY")
  if(.NOT.hascol)call fatal('IncompOutput','QUALITY column not found')

  hascol=hasColumn(specTable,"GROUPING")
  if(.NOT.hascol)call fatal('IncompOutput','GROUPING column not found')

end program testval

